using System;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            string n = "";
            int pom = 0;

            if (x.ToString().Length > y.ToString().Length)
                x %= (int)Math.Pow(10, y.ToString().Length);

            else if (y.ToString().Length > x.ToString().Length)
            {
                pom = y / (int)Math.Pow(10, x.ToString().Length);
                y %= (int)Math.Pow(10, x.ToString().Length);
            }

            int a = x.ToString().Length + 1;
            for (int i = 1; i < a; i++)
            {
                if (x % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1) > y % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1)) n += x % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1);
                else if (x % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1) < y % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1)) n += y % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1);
                if (x % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1) == y % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1))
                {
                    n += y % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1);
                    n += y % (int)Math.Pow(10, i) / (int)Math.Pow(10, i - 1);
                }
            }

            if(pom!=0) n += pom;

            char[] p = n.ToCharArray();
            Array.Reverse(p);
            foreach (var c in p)
            {
                Console.Write(c);
            }
        }
    }
}